from __future__ import absolute_import

from CE.Components import component_classes

"""
The "CE" package contains model classes for the circuit editor. It uses the "circuitsim" package (which is stored elsewhere) to handle the circuit logic, and it knows how to move components and render them. Unlike "circuitsim", it is tied to Cocoa and it uses the Cocoa undo/redo and Cocoa notification facilities. It uses some of the modules in the "aux" directory.

"Circuit.py" contains a class representing an entire circuit.

"Component.py" has the base class for all circuit components. "Wire.py" has the class which represents a wire. The individual component classes are in the "Components" subpackage.

"Node.py" has a class which represents a contiguous group of wires. "utils.py" has various helper functions.
"""